{% extends "main_app/layout/base.html" %}

{% block content %}

 <div class="top-big-link">
    <a class="btn btn-link-1 launch-modal" href="#" data-modal-id="modal-login">Kirim Pesan</a>
 </div>

     <!-- MODAL -->
    <div class="modal fade" id="modal-login" tabindex="-1" role="dialog" aria-labelledby="modal-login-label" aria-hidden="true">
        <div class="modal-dialog">
            <div class="modal-content">
                
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal">
                        <span aria-hidden="true">&times;</span><span class="sr-only">Close</span>
                    </button>
                </div>
                
                <div class="modal-body">
                    <form role="form" action="{% url 'home:add_draft' %}" method="post" class="login-form">
                        {% csrf_token %}
                        <div class="form-group">
                            <label class="sr-only" for="form-username">Dari</label>
                            <input type="text" name="sender" placeholder="Dari..." class="form-username form-control" id="form-username">
                        </div>
                        <div class="form-group">
                            <label class="sr-only" for="form-username">Untuk</label>
                            <input type="text" name="reciever" placeholder="Untuk..." class="form-username form-control" id="form-username">
                        </div>
                        <div class="form-group">
                            <label class="sr-only" for="form-username">Pesan</label>
                            <input type="text" name="message" placeholder="Pesan..." class="form-username form-control" id="form-username">
                        </div>
                        <button type="submit" class="btn">Submit!</button>
                    </form>
                    
                </div>
                
            </div>
        </div>
    </div>

    {% if drafts %}
        {% for draft in drafts %}
            <div class="messageBox">
               <span><b>Dari :&nbsp; </b>{{draft.sender}}</span> 
               <span><b>Untuk:&nbsp; </b>{{draft.reciever}}</span> 
               <span><b>Pesan:&nbsp; </b>{{draft.message}}</span> 
            </div>
        {% endfor %}
    {% else %}
    <div class="alert alert-danger text-center">
        <strong>Oops!</strong> Tidak ada data Draft.
    </div>
    {% endif %}

{% endblock %}
